/** This is the labels related to the pagination. */
export interface PaginationLabels {
    /** Change the label of the button that if clicked, the paging will go to first page. */
    firstPage?: string;
    /** Change the label of the button that if clicked, the paging will go to last page. */
    lastPage?: string;
    /** Change the label of the button that if clicked, the paging will go to previous page. */
    prevPage?: string;
    /** Change the label of the button that if clicked, the paging will go to next page. */
    nextPage?: string;
}
export interface PaginationClasses {
    button?: string;
    buttonGroup?: string;
}
export interface PaginationProps {
    labels?: PaginationLabels;
    classes?: PaginationClasses;
    alwaysShowPagination?: boolean;
    controlledProps?: {
        currentPage: number;
        maxPage: number;
        onPaginationChange: (nextPage: number) => void;
    };
}
export declare function Pagination({ labels, classes, alwaysShowPagination, controlledProps }: PaginationProps): JSX.Element;
