"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCtx = void 0;
const react_1 = require("react");
// Reference: https://react-typescript-cheatsheet.netlify.app/docs/basic/getting-started/context/.
function createCtx() {
    const ctx = (0, react_1.createContext)(undefined);
    function useCtx() {
        const c = (0, react_1.useContext)(ctx);
        if (c === undefined)
            throw new Error('useCtx must be inside a Provider with a value');
        return c;
    }
    return [useCtx, ctx.Provider]; // 'as const' makes TypeScript infer a tuple
}
exports.createCtx = createCtx;
