import { ReactNode } from 'react';
import { ColumnProcessObj, SortType } from '../helpers/types';
import { TableColumnType } from '../helpers/types';
interface FilterProps<TTableRowType> {
    filterValueObj?: ColumnProcessObj<TTableRowType>;
    initialState?: {
        filter: string;
    };
}
interface SortProps<TTableRowType> {
    sortValueObj?: ColumnProcessObj<TTableRowType, number>;
    initialState?: SortType;
}
interface PaginationProps {
    initialState?: {
        page?: number;
        maxPage?: number;
    };
}
interface PaginationOptionsProps {
    initialState?: {
        rowsPerPage: number;
        options: number[];
    };
}
interface DatatableWrapperContextType<TTableRowType> {
    headers: TableColumnType<TTableRowType>[];
    isFilterable: boolean;
    filterState: string;
    onFilterChange: (nextState: string) => void;
    sortState: SortType;
    onSortChange: (nextState: SortType) => void;
    currentPageState: number;
    onPaginationChange: (nextState: number) => void;
    rowsPerPageState: number;
    rowsPerPageOptions: number[];
    onRowsPerPageChange: (nextState: number) => void;
    maxPage: number;
    filteredDataLength: number;
    data: TTableRowType[];
}
export declare const useDatatableWrapper: () => DatatableWrapperContextType<any>;
export interface DatatableWrapperProps<TTableRowType> {
    children: ReactNode;
    headers: TableColumnType<TTableRowType>[];
    body: TTableRowType[];
    filterProps?: FilterProps<TTableRowType>;
    sortProps?: SortProps<TTableRowType>;
    paginationProps?: PaginationProps;
    paginationOptionsProps?: PaginationOptionsProps;
}
export declare function DatatableWrapper<TTableRowType = any>({ headers, body, filterProps, sortProps, paginationProps, paginationOptionsProps, children }: DatatableWrapperProps<TTableRowType>): JSX.Element;
export {};
